Technical Support

April 17, 2016 – NEW! Updated Microsoft Library 
If you are getting “Could not load an object because it is not availabile on this machine” error message when opening Election Magic, it may be because a Microsoft Library is out-of-date on your machine. Download the new library by clicking on the link; make sure to make a note of where you downloaded this file to. The installation instructions are here . 

January 1, 2016 – NEW! Election Magic Updater for version 7.0
Download the Updater by clicking on the link. After downloading, delete the old version (it will be in your installation directory (e.g., C:\elmagic) in the “workbook” folder, and is called “elmagic.updater.xls”) and copy the downloaded version to the workbook folder. Then open the new updater to retrieve the latest updates. 

July 14, 2008 – Election Magic Updater for version 6.0
Download the Updater by clicking on the link. After downloading, delete the old version (it will be in your installation directory (e.g., C:\elmagic) in the “workbook” folder, and is called “elmagic.updater.xls”) and copy the downloaded version to the workbook folder. Then open the new updater to retrieve the latest updates.